#ifndef __SETTINGS_H__
#define __SETTINGS_H__

#include <cstdint>
#include <string>

namespace Danki {
class Settings {
public:
    Settings();
    void save();
    void load();

    uint32_t threads() const;
    std::string server() const;
    uint16_t port() const;
    std::string documentRoot() const;
    std::string sqlitePath() const;
    uint16_t nngReplyPort() const;

private:
    uint32_t m_threads = 1;
    std::string m_server = "0.0.0.0";
    uint16_t m_port = 80;

    std::string m_documentRoot = "/data/sdcard/PassengerStatistics/web";
    std::string m_sqlitePath = "database.sqlite";

    uint16_t m_nngReplyPort = 8000;
};
} // namespace Danki

#endif // __SETTINGS_H__